
#define SENSOR_PIN A0
#define POWER_SENSOR 1

void temperature_setup() {
  pinMode(POWER_SENSOR, OUTPUT);
  analogReference(INTERNAL);
};


float temperature_read() {
  float temp;

  //power MCP9700 on
  digitalWrite(POWER_SENSOR, HIGH);
  //wait for MC9700 settle
  delay(2);
  temp = analogRead(SENSOR_PIN) * 1.1 / 1024.0 - 0.5;
  //power sensor OFF
  digitalWrite(POWER_SENSOR, LOW);

  temp = temp / 0.01;
  //
  return temp;

}

